Cudy
8-Port Gigabit Switch with USB-C Power Input, GS108U 2.0
- Weight
- 87.5 g
- Colour
- White
- Switch type
- Unmanaged
19,40 €
See the offerAd · Prices from partner stores, sorted cheapest first. We may earn a commission when you buy through our links; it never changes the order.Ad · Store prices, cheapest first. We may earn a commission.

Zyxel · Network Switch
Model XGS2210-52MPN XGS2210-52-EU0101FMPN 3182MPN XGS2210-52-GB0101FEAN 4718937587902EAN 4718937588206
Lowest price
931,71 €
at Netzwerkartikel.deIn stock
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
1 store · prices in EUR · updated 6 Oct 2026, 05:40 UTC
Every store asks the same price.
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 6 Oct 2026, 05:40 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history is being collected. After 14 days of prices we will show whether today's price is good.
71 specifications from the manufacturer's data sheet
| Switch type | Managed |
|---|---|
| Switch layer | L2 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| ARP inspection | Yes |
| Traffic shaping | Yes |
| System event log | Yes |
| MIB support | RFC 1066, RFC 1213, RFC 1493, RFC 1643, RFC 1757, RFC 2011, RFC 2233, RFC 2358, RFC 2674, RFC 2819, RFC 2925, RFC 3621, RFC 4022, RFC 4113, RFC 4292, RFC 4293 |
| Basic switching RJ-45 Ethernet ports quantity | 48 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Installed SFP modules quantity | 0 |
| Installed SFP+ modules quantity | 0 |
| SFP+ module slots quantity | 4 |
| Networking standards | IEEE 802.1D, IEEE 802.1Q, IEEE 802.1ab, IEEE 802.1p, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3af, IEEE 802.3at, IEEE 802.3az, IEEE 802.3u, IEEE 802.3x, IEEE 802.3z |
|---|---|
| 10G support | Yes |
| Port mirroring | Yes |
| IP routing | Yes |
| Broadcast storm control | Yes |
| Flow control support | Yes |
| Link aggregation | Yes |
| MAC address auto-learning supported | Yes |
| Rate limiting | Yes |
| Spanning tree protocol | Yes |
| VLAN support | Yes |
| Virtual LAN features | Private VLAN, Protocol-based VLAN, Port-based VLAN |
| MAC address table | 16000 entries |
|---|---|
| Switching capacity | 176 Gbit/s |
| Throughput | 130.9 Mpps |
| Number of queues | 8 |
| Jumbo frames support | Yes |
| Jumbo frames | 9000 |
| Packet buffer memory | 1.5 MB |
| DHCP features | DHCP client |
|---|---|
| Access Control List (ACL) | Yes |
| IGMP snooping | Yes |
| Authentication | MAC-based authentication |
| BPDU filtering/protection | Yes |
| MAC address filtering | Yes |
| SSH/SSL support | Yes |
| Security algorithms | 802.1x RADIUS, SNMP, SSH, SSH-2 |
| Multicast support | Yes |
|---|
| Rack mounting | Yes |
|---|---|
| Stackable | Yes |
| Form factor | 1U |
| Product colour | Black |
| Safety | LVD, BSMI |
| Electromagnetic compatibility | FCC 15 (A), CE (A), BSMI |
| Noise level | 44.15 dB |
|---|---|
| Plug and Play | Yes |
| Mean time between failures (MTBF) | 970594 h |
| AC input voltage | 100 - 240 V |
|---|---|
| AC input frequency | 50 - 60 Hz |
| Power consumption (max) | 45 W |
| Power over Ethernet (PoE) | No |
|---|
| Operating temperature (T-T) | 0 - 50 °C |
|---|---|
| Storage temperature (T-T) | -40 - 70 °C |
| Operating relative humidity (H-H) | 10 - 95% |
| Storage relative humidity (H-H) | 10 - 90% |
| Heat dissipation | 153.3 BTU/h |
| Width | 441 mm |
|---|---|
| Depth | 270 mm |
| Height | 45 mm |
| Weight | 3.86 kg |
| Cables included | AC |
|---|---|
| Rack mount kit | Yes |
| Package width | 622 mm |
|---|---|
| Package depth | 358 mm |
| Package height | 108 mm |
| Package weight | 4.92 kg |
| Certification | RoHS |
|---|
| Harmonized System (HS) code | 85176990 |
|---|
Cudy
19,40 €
See the offer197,64 €
See the offerLevelOne
Model IGP-1091
674,25 €
See the offerLevelOne
Model GEU-1632
166,15 €
See the offerLevelOne
Model GEU-2432
208,00 €
See the offerNETGEAR
Model GS310TPv2
204,39 €
See the offerNETGEAR
Model GS324TPv2
437,85 €
See the offerNETGEAR
Model GS348TPv2
917,05 €
See the offer